<bugID>317847<Summary>Implement "Save this Search"</Summary><Description>When the user searches, a button should become available in the command bar to let them save the search into their Places list.</Description></bugID>